<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('validity_times', function (Blueprint $table): void {
            $table->id();
            $table->string('type');
            $table->time('start_time')->nullable();
            $table->time('end_time')->nullable();
            $table->dateTime('fixed_starts_at')->nullable();
            $table->dateTime('fixed_expires_at')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('validity_times');
    }
};
